package kr.co.hanwha.hifive.network.hanwha;

/**
 * Created by sanghoonkwon on 2018. 1. 11..
 */

public interface HanwhaNetworkCallback<T> {
    void onSuccess(T response);

    void onFailure(HanwhaNetworkError error);

    void onPreExecute();

    void onPostExecute();
}
